osl::eval::ml::BishopMobility Class Reference

`#include <mobility.h>`

## Public Types

enum | { DIM = 36 }

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)

## Detailed Description

Definition at line 119 of file mobility.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 122 of file mobility.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::BishopMobility::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 175 of file mobility.cc.

References osl::eval::ml::BishopMobilityAll::bishop_table, and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- mobility.h
- mobility.cc